<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: lorena.salamanca
  
CU-NP-FA-217 Gestionar digitalización de nomenclatura vial

@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:actualizacion="http://java.sun.com/jsf/composite/actualizacion"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Gestionar digitalización de nomenclatura vial::.
    </ui:define>

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <actualizacion:actualizacionResumenCC id="actualizacionResumen"
                                              actualizacionParam="#{gestionarProyectoDeNomenclaturaVial.actualizacionSeleccionada}"/>

        <p:messages id="msgsGestionarDigitalizacionNomenclaturaVial"
                    showDetail="false" globalOnly="false" />

        <h:form id="solicitarDigitalizacionForm">

            <h:panelGrid cellpadding="5" cellspacing="5" width="100%">

                <p:panel
                    header="Solicitar digitalización de nomenclatura vial / Solicitar digitalización de perímetro urbano">
                    <h:panelGrid columns="2">
                        <h:panelGrid cellpadding="5" cellspacing="5">

                            <h:panelGrid columns="1">
                                <h:outputLabel value="Responsable SIG: "
                                               styleClass="outputLabelStyle" />

                                <h:selectOneMenu id="normasMenu"
                                                 value="#{gestionarDigitalizacionDeNomenclaturaVial.responsableSIG}">
                                    <f:selectItems
                                        value="#{gestionarDigitalizacionDeNomenclaturaVial.listaResponsableSIG}" />
                                    <p:ajax process="@this" update="generarDigitalizacionBtn"/>
                                </h:selectOneMenu>
                            </h:panelGrid>

                            <p:commandButton value="Generar solicitud de digitalización" id="generarDigitalizacionBtn"
                                             disabled="#{fn:length(gestionarDigitalizacionDeNomenclaturaVial.responsableSIG) eq 0}"
                                             title="Generar solicitud de digitalización" label="Generar solicitud de digitalización"
                                             onstart="statusDialog2.show();"
                                             oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status, args, oficioSolicitudDigitalizacionWV, true)"
                                             update=":solicitarDigitalizacionForm"
                                             action="#{gestionarDigitalizacionDeNomenclaturaVial.cargarParametrosSolicitudDigitalizacion}"
                                             icon="ui-icon-document">
                            </p:commandButton>
                        </h:panelGrid>

                    </h:panelGrid>

                    <p:separator style="width:98%;height:3px" />
                    <p:spacer height="7" width="0" />
                    <p:outputPanel layout="block" style="text-align:right">

                        <p:commandButton value="Finalizar" id="finalizarBtn"
                                         icon="ui-icon-seek-next" title="Finalizar y avanzar el proceso"
                                         label="Finalizar y avanzar el proceso" ajax="false"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();"
                                         action="#{gestionarDigitalizacionDeNomenclaturaVial.avanzarProcesoDesdeGestionar}" />

                        <p:spacer height="10" />

                        <p:commandButton value="Cerrar" icon="ui-icon-circle-close"
                                         immediate="true" process="@this" title="Cerrar" label="Cerrar"
                                         action="#{gestionarDigitalizacionDeNomenclaturaVial.cerrarPaginaPrincipal}"
                                         ajax="false" />
                        <p:spacer height="0" width="10" />
                    </p:outputPanel>
                </p:panel>
            </h:panelGrid>
        </h:form>

        <p:dialog header="Oficio de solicitud de digitalización"
                  dynamic="true" widgetVar="oficioSolicitudDigitalizacionWV"
                  modal="true" appendToBody="true" resizable="true" position="center"
                  width="850" height="450">

            <actualizacion:envioCorreoActualizacionCC
                id="oficioSolicitudDigitalizacion"
                widgetVarName="oficioSolicitudDigitalizacionWV"
                updateComponentsParam=":solicitarDigitalizacionForm" />
        </p:dialog>

    </ui:define>
</ui:composition>